Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::ContainerLike_ Struct Reference

## Description

INTERNAL ONLY A type is ContainerLike_ if it is Range and the const-ness of its reference type is sensitive to the const-ness of the Container.

Inheritance diagram for ranges::v3::concepts::ContainerLike_:

## Public Member Functions
template<typename T >
auto | requires_ (T &&) -> decltype( concepts::valid_expr( concepts::is_false( std::is_same< reference_t< detail::as_ref_t< T >>, reference_t< detail::as_cref_t< T >>>()) ))
Public Member Functions inherited from ranges::v3::concepts::refines< InputRange >
void | requires_ (Ts &&...)

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< InputRange >
using | base_concepts_t = meta::list< Concepts... >